## ros-rolling-gazebo-ros2-control-demos 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(gazebo_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

## Install
install(TARGETS example_position example_velocity example_effort
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-gazebo-ros2-control-demos (0.0.8-1focal) focal; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.7-1focal) focal; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.6-1focal) focal; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.4-1focal) focal; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Update severity of msgs to proper level (#91 <https://github.com/ros-simulation/gazebo_ros2_control//issues/91>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Andy McEvoy, Bence Magyar, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.3-1focal) focal; urgency=high

  * Update code with recent change in ros2_control (#81 <https://github.com/ros-simulation/gazebo_ros2_control/issues/81>)
  * Adding ros2_control dependency to demos (#74 <https://github.com/ros-simulation/gazebo_ros2_control/issues/74>) (#76 <https://github.com/ros-simulation/gazebo_ros2_control/issues/76>)
  * Contributors: Alejandro Hernández Cordero, Ron Marrero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.2-1focal) focal; urgency=high

  * Remove Unnecessary parameter in demo (#68 <https://github.com/ros-simulation/gazebo_ros2_control//issues/68>)
  * Add effort_controller exec_depend on demos (#69 <https://github.com/ros-simulation/gazebo_ros2_control//issues/69>)
  * add ros parameters file to node context (#60 <https://github.com/ros-simulation/gazebo_ros2_control//issues/60>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
  * add ros2_controllers as exec dependency (#56 <https://github.com/ros-simulation/gazebo_ros2_control//issues/56>)
    fixes #49 <https://github.com/ros-simulation/gazebo_ros2_control//issues/49>
  * Contributors: Alejandro Hernández Cordero, Karsten Knese

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Sun, 18 Apr 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.1-1focal) focal; urgency=high

  * Updated with ros2-control Foxy API (#44 <https://github.com/ros-simulation/gazebo_ros2_control/issues/44>)
    Co-authored-by: Karsten Knese <mailto:Karsten1987@users.noreply.github.com>
  * Updated with recent ros2_control changes (#34 <https://github.com/ros-simulation/gazebo_ros2_control/issues/34>)
  * Added initial demos in gazebo_ros2_control_demos (#2 <https://github.com/ros-simulation/gazebo_ros2_control/issues/2>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Karsten Knese, Bence Magyar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 04 Feb 2021 23:00:00 -0000

=== debian/control ===
Source: ros-rolling-gazebo-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-control-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-control-msgs, ros-rolling-effort-controllers, ros-rolling-gazebo-ros, ros-rolling-gazebo-ros2-control, ros-rolling-hardware-interface, ros-rolling-joint-state-broadcaster, ros-rolling-joint-trajectory-controller, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclcpp, ros-rolling-robot-state-publisher, ros-rolling-ros2-control, ros-rolling-ros2-controllers, ros-rolling-std-msgs, ros-rolling-velocity-controllers, ros-rolling-xacro, ros-rolling-ros-workspace
Description: gazebo_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gazebo-ros2-control-demos//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-gazebo-ros2-control-demos 0.6.2

=== debian/changelog ===
ros-rolling-gazebo-ros2-control-demos (0.6.2-1jammy) jammy; urgency=high

  * Set the C++ version to 17 (#221 <https://github.com/ros-controls/gazebo_ros2_control/issues/221>)
  * Update diff_drive_controller.yaml (#224 <https://github.com/ros-controls/gazebo_ros2_control/issues/224>)
    The wrong base frame is set. The name of the link in the URDF is chassis.
  * Contributors: Alejandro Hernández Cordero, David V. Lu!!

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.6.1-1jammy) jammy; urgency=high

  * Add pre-commit and CI-format (#206 <https://github.com/ros-controls/gazebo_ros2_control/issues/206>)
    * Add pre-commit and ci-format
  * Contributors: Christoph Fröhlich

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 08 Jun 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.6.0-1jammy) jammy; urgency=high

  * Clean shutdown position example (#196 <https://github.com/ros-controls/gazebo_ros2_control/issues/196>)
  * Remove publish_rate parameter (#179 <https://github.com/ros-controls/gazebo_ros2_control/issues/179>)
  * Contributors: Alejandro Hernández Cordero, Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 06 Feb 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Add tricycle controller demo (#145 <https://github.com/ros-controls/gazebo_ros2_control/issues/145>)
  * Contributors: Tony Najjar

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 05 Jan 2023 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high

  * fix demo launch
  * Fix setting initial values if command interfaces are not defined. (#110 <https://github.com/ros-simulation/gazebo_ros2_control/issues/110>)
  * Contributors: Bence Magyar, Denis Štogl, Maciej Bednarczyk

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 08 Aug 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.3.1-1jammy) jammy; urgency=high

  * Fixed CMake source file extension (#140 <https://github.com/ros-simulation/gazebo_ros2_control/issues/140>)
  * Adding simulation time parameter for the controller manager (#138 <https://github.com/ros-simulation/gazebo_ros2_control/issues/138>)
    Adding the simulation parameter so that the controller manager uses the simulation time instead of the ROS time.  The '/odom' and corresponding tf will only be published if this parameter is set to true.
  * Adjust repo URL (#134 <https://github.com/ros-simulation/gazebo_ros2_control/issues/134>)
  * Changed launch variable name (#130 <https://github.com/ros-simulation/gazebo_ros2_control/issues/130>)
  * Contributors: Alejandro Hernández Cordero, Bence Magyar, Eslam Salah, Jakub "Deli" Delicat

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 04 Jul 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high

  * [Forward port main] Added diff drive example (#113 <https://github.com/ros-simulation/gazebo_ros2_control/issues/113>) (#129 <https://github.com/ros-simulation/gazebo_ros2_control/issues/129>)
  * Merge pull request #120 <https://github.com/ros-simulation/gazebo_ros2_control/issues/120> from ros-simulation/ahcorde/main/117
    Adapted to Humble
  * make linters happy
  * Update to Humble API
  * Support for mimic joints and example with gripper. (#107 <https://github.com/ros-simulation/gazebo_ros2_control/issues/107>)
  * Contributors: Alejandro Hernández Cordero, Denis Štogl, ahcorde

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 26 May 2022 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.8-1jammy) jammy; urgency=high

  * Enable setting default position of the simulated robot using ros2_control URDF tag. (#100 <https://github.com/ros-simulation/gazebo_ros2_control//issues/100>)
  * Contributors: Denis Štogl

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 27 Jan 2022 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Thu, 02 Dec 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.6-1jammy) jammy; urgency=high

  * Fix ros2_control resource manager in galatic (#96 <https://github.com/ros-simulation/gazebo_ros2_control//issues/96>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.4-1jammy) jammy; urgency=high

  * fix maintainer email (#92 <https://github.com/ros-simulation/gazebo_ros2_control//issues/92>)
  * Galactic: Pass time and period to update function (#88 <https://github.com/ros-simulation/gazebo_ros2_control//issues/88>)
  * Update severity of msgs to proper level (#91 <https://github.com/ros-simulation/gazebo_ros2_control//issues/91>)
  * Add Imu and FT state interfaces (#65 <https://github.com/ros-simulation/gazebo_ros2_control//issues/65>)
    Co-authored-by: Jordan Palacios <mailto:jordan.palacios@pal-robotics.com>
  * Contributors: Alejandro Hernández Cordero, Andy McEvoy, Bence Magyar, Victor Lopez

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Mon, 25 Oct 2021 22:00:00 -0000

ros-rolling-gazebo-ros2-control-demos (0.0.3-1jammy) jammy; urgency=high

  * Update code with recent change in ros2_control (#81 <https://github.com/ros-simulation/gazebo_ros2_control/issues/81>)
  * Adding ros2_control dependency to demos (#74 <https://github.com/ros-simulation/gazebo_ros2_control/issues/74>) (#76 <https://github.com/ros-simulation/gazebo_ros2_control/issues/76>)
  * Contributors: Alejandro Hernández Cordero, Ron Marrero

 -- Alejandro Hernandez <alejandro@osrfoundation.org>  Tue, 15 Jun 2021 22:00:00 -0000



=== debian/control ===
Source: ros-rolling-gazebo-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <alejandro@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-control-msgs, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gazebo_ros_control
Standards-Version: 3.9.2

Package: ros-rolling-gazebo-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-control-msgs, ros-rolling-diff-drive-controller, ros-rolling-effort-controllers, ros-rolling-gazebo-ros, ros-rolling-gazebo-ros2-control, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-joint-state-broadcaster, ros-rolling-joint-trajectory-controller, ros-rolling-launch, ros-rolling-launch-ros, ros-rolling-rclcpp, ros-rolling-robot-state-publisher, ros-rolling-ros2-control, ros-rolling-ros2-controllers, ros-rolling-std-msgs, ros-rolling-tricycle-controller, ros-rolling-velocity-controllers, ros-rolling-xacro, ros-rolling-ros-workspace
Description: gazebo_ros2_control_demos

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
